Scrum - Defect #1257

Sprint link in calendar redirects to localhost
2016-11-29 13:25 - Bartosz Firyn

Status: Resolved

Priority: Normal

Category: Calendar

Target version: Scrum v0.16.2

Source: Testing Blocked: No
Detected on version: Scrum v0.15.0 Alone:

Description

Hi,

I'm using 0.15.0 scrum plugin. My Redmine is running on a server on port 3000, but | can access it via nginx proxypass. The problem
is that link to sprint in calendar points to localhost.

My nginx settings:

server {
server_name myinternaldomain.com;
location / {
proxy_pass http://localhost:3000;
proxy_redirect default;
proxy_cookie_domain localhost myinternaldomain.com;

All other Redmine links (including calendar ones) works well. Just sprint link is broken.

Subtasks:
To do # 1271: Apply & test provided patch Resolved

History

#1 - 2016-12-08 17:23 - Emilio Gonzalez Montanha
| cannot reproduce this, please go to plugin folder and open this file lib/scrum/calendars_controller_patch.rb, change this (at the end of the file):
sprints << {:name => sprint.name,
curl => url_for(:controller => :sprints,
saction => :show,
:id => sprint.id),
:day => sprint.send(date_field) .day,

:week => sprint.send(date_field) .cweek,
:start => start}

With this new code:
sprints << {:name => sprint.name,

curl => url_for (sprint),
:day => sprint.send(date_field) .day,
:week => sprint.send(date_field) .cweek,
:start => start}

If it works let me know and | will fix the sources.

#2 - 2016-12-08 18:58 - Bartosz Firyn

- File 2.png added

- File 0001-Fix-broken-sprint-link-in-calendar.patch added

Hi Emilio,

Thank you for pointing me to the source code. The change you proposed is not working, but after reading more about function url_for(..):
http://apidock.com/rails/ActionView/RoutingUrlFor/url_for

| added :only_path option set to true and now it works well:
Code:

:url => url_for(:controller => :sprints,
taction => :show,
:id => sprint.id,
:only_path => true),

Attached I'm sending patch file.
#3 - 2016-12-08 19:36 - Emilio Gonzalez Montanha

- Target version set to Scrum v0.16.2

- Sprint set to Sprint 32

#4 - 2016-12-08 22:55 - Emilio Gonzalez Montaina

- Status changed from In progress to Resolved
